Package org.eclipse.microprofile.fault.tolerance.tck.util

# Class AsyncCaller

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.util.AsyncCaller

@ApplicationScoped @Asynchronous public class AsyncCaller extends Object

## Constructor Summary

Constructors
Constructor
Description
`AsyncCaller()`

## Method Summary

Modifier and Type
Method
Description
`Future<Void>`
`run(Runnable runnable)`
Run a runnable asynchronously
`<T> Future<T>`
`submit(Callable<T> callable)`
Run a callable asynchronously

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncCaller

public AsyncCaller()

## Method Details

### run

public Future<Void> run(Runnable runnable)
Run a runnable asynchronously

Parameters:
  `runnable` - task to execute
Returns:
  a completed future set to null

### submit

public <T> Future<T> submit(Callable<T> callable)
Run a callable asynchronously

Type Parameters:
  `T` - the type returned by `callable`
Parameters:
  `callable` - the callable to run
Returns:
  a future which can be used to get the result of running `callable`